/*
Copyright (c) 2000-2003 Lee Thomason (www.grinninglizard.com)

Grinning Lizard Utilities. Note that software that uses the 
utility package (including Lilith3D and Kyra) have more restrictive
licences which applies to code outside of the utility package.


This software is provided 'as-is', without any express or implied 
warranty. In no event will the authors be held liable for any 
damages arising from the use of this software.

Permission is granted to anyone to use this software for any 
purpose, including commercial applications, and to alter it and 
redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must 
not claim that you wrote the original software. If you use this 
software in a product, an acknowledgment in the product documentation 
would be appreciated but is not required.

2. Altered source versions must be plainly marked as such, and 
must not be misrepresented as being the original software.

3. This notice may not be removed or altered from any source 
distribution.
*/

#ifndef GL_TYPES_INCLUDED
#define GL_TYPES_INCLUDED

// #if defined( _SDL_H )
	#include "SDL_types.h"

	typedef Uint8			U8;
	typedef Sint8		    S8;
	typedef Uint16			U16;
	typedef Sint16			S16;
	typedef Uint32			U32;
	typedef Sint32			S32;

	#ifdef SDL_HAS_64BIT_TYPE
		typedef SDL_HAS_64BIT_TYPE				S64;
		typedef unsigned SDL_HAS_64BIT_TYPE		U64;
	#else
		#error No 64-bit integer.
	#endif

// #elif defined ( GL_INT64 )
// 
// 	typedef unsigned char	U8;
// 	typedef signed char	    S8;
// 	typedef unsigned short	U16;
// 	typedef signed short	S16;
// 	typedef unsigned int	U32;
// 	typedef signed int		S32;
// 
// 	typedef GL_INT64			S64;
// 	typedef unsigned GL_INT64	U64;
// 
// #else
// 	// NOTE: This usually means that the SDL header was not 
// 	//		 included before a Kyra header, or that the standard
// 	//		 types were not defined.
// 	#error Need to get type data for this system.
// #endif


#endif
